body {
    font-family: Arial, Helvetica, sans-serif;
    background-color: #ecb788;
}

.alt-container {
    width: 100%;
    margin: 0 auto;
    padding: 0;
}

body {
    display: flex;
    flex-direction: column;
    gap: 20px;
    justify-content: center;
    align-items: center;
    height: 100vh;
    margin: 0;
    padding: 0;
}

.container {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    background-color: #a43b70;
    color: white;
    font-size: 1.2rem;
    border-radius: 8px;
    width: 100%;
    max-width: 500px;
    transition: filter 1s ease-out;

}

.container.stopped {
    filter: saturate(50%);   /* desaturate while not playing */
    
    transition: filter 1s ease-out;
}


.container.stopped > * {
    filter: saturate(50%); 
    transition: filter 1s ease-out;
}

.container.stopped .no-greyscale {
    filter: none;   
}



.container.stopped > .no-greyscale {
    filter: none;  /* remove greyscale for specific classes */
}

#container1 {
    background-color: rgb(175, 229, 253);
}

#container2 {
    background-color: rgba(23, 34, 44, 0.89);
}



.play-button {
    height: 50px;
    width: 50px;
    background-color: #76c05a;
}

.stop-button {
    height: 50px;
    width: 50px;
    background-color: #a2442d;
}

.button-icon {
    height: 30px;
    width: 30px;

}

.container:hover {
    background-color: #2980b9;
}

.container:active {
}

.controls-container {
    background-color: rgba(59, 59, 59, 0.35);
    color: #e5f9ff;
    padding: 10px;
    text-align: center;
    border-radius: 10px;
    display: flex;

}

.reels-container {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
    height: 150px;
    width: 95%;
    border-radius: 10px;
    background-color: rgba(84, 84, 84, 0.82);
    margin : 5px;
}

.internal-container {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    background-color: rgba(84, 84, 84, 0.82);
    margin : 5px;
    border-radius: 10px;
}


.header {
    background-color: #007acc;
    color: #d2fff5;
    padding: 10px;
    text-align: center;
    border-radius: 10px;
}

p{
    color: #e5f9ff;
}


h2{
    color: #e2f2ff;
}

.audio-engine-stats{
    background-color: #6a9ca8;
    padding: 10px;
    text-align: center;
    width: 100%;
    height: 100%;
    border-radius: 10px;
}

.reel{
    width: 70%;
    height: 70%;
    animation: rotate 2s linear infinite reverse;
}

.right-reel {
    animation: rotate 1.8s linear infinite reverse;
}

.reel1.stopped {
    animation-play-state: paused;
    transform: rotate(-.2turn) ;
}

.auxspacer {
    padding: 1rem;
}

.reel1 {
    transition: 1s ease-out
}

.reel2 {
    transition: 1s ease-out
}

.reel2.stopped {
    animation-play-state: paused;
    transform: rotate(-.2turn) ;
}

@keyframes rotate {
    to {rotate: 1turn}
}




